package upn;

import java.util.Deque;

public abstract class BinaryOperator implements Expression {
	protected Expression left;
	protected Expression right;
	
	@Override
	public void visit(Deque<Expression> stack) {
		right = stack.pop();
		left = stack.pop();
	}
}
