package upn;

public enum TokenMap {
	plus(Plus.class),
	minus(Minus.class),
	square(Square.class);
	
	private final Class<? extends Expression> expression;
	TokenMap(Class<? extends Expression> expression) {
		this.expression = expression;
	}
	public Expression getExpression() {
		try {
			return expression.newInstance();
		} catch (InstantiationException e) {
		} catch (IllegalAccessException e) {
		}
		return null;
	}
}
