package spiel;
import java.util.Random;

public class TestSpiel extends AbstractSpiel {
	final static int ZIEL=50;
	private int[] positionen;
	private boolean fertig;
	Random random;
	
	public TestSpiel(int anzahlSpieler) {
		super(anzahlSpieler);
	}

	@Override
	public void initialisiere() {
		positionen = new int[anzahlSpieler];
		random = new Random();
		fertig = false;
	}

	@Override
	public void naechsteZug(int spieler) {
		System.out.format("Spieler %d am Zug\n", spieler);
		int wurf = random.nextInt(6)+1;
		positionen[spieler-1] += wurf;
		System.out.format("Wurf %d, neue Pos. %d\n", wurf, positionen[spieler-1]);
		if (positionen[spieler-1]>=ZIEL) fertig=true;
	}

	@Override
	public boolean gewonnen() {
		return fertig;
	}
}
